Subject: Re: bug#63284: proot: Build gets stuck in test-0cf405b0 (and maybe test-25069c13)

From: Ivan Vilata i Balaguer <[email-masked]>
Date: Fri, 19 May 2023 14:36:31 +0200

Same for me both building with:

    guix build proot --with-version=proot=5.4.0

And altering the definition of the package manually to use `(version "5.4.0")`
(hash `186qsg4yvisqjgf8w5jxhnlig7x341vpqwcgp8as3r59qmqkpmk7`), plus removing
`libarchive` from `inputs` (as v5.3.1 already removed that dependency).

Thanks!

Blake Shaw (2023-05-07 15:55:04 +0700) wrote:

> I'm also dealing with the issue, except for me it gets stuck in
> test-kkkkkkk, if that info is helpful at all. 
> 
> Josselin Poiret via Bug reports for GNU Guix <[email-masked]> writes:
> 
> > Ivan Vilata i Balaguer <[email-masked]> writes:
> >
> >> Hi!  It looks like some tests during the build of `proot` get stuck in the
> >> version of Guix shown below:
> >
> > I already provided fixes for two tests upstream [1] but I'm waiting on
> > [2] since it seems like an actual regression.
> 
> > [1] https://github.com/proot-me/proot/pull/351
> > [2] https://github.com/proot-me/proot/issues/352

-- 
Ivan Vilata i Balaguer -- https://elvil.net/